boot arguments passed in CONFIG_CMDLINE not being picked up by kernel with gcc-ppc64-linux-gnu v5.4.0 and v6.1.1

Bug #1628207 reported by bugproxy on 2016-09-27
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gcc
Unknown
Unknown
gcc-5 (Ubuntu)
Medium
Unassigned
Xenial
High
Unassigned
gcc-5-cross (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
gcc-6 (Ubuntu)
High
Unassigned
gccgo-6 (Ubuntu)
Xenial
Medium
Unassigned

Bug Description

== Comment: #0 - Akshay Adiga - 2016-09-22 23:55:06 ==
---Problem Description---
boot arguments (passed as CONFIG_CMDLINE) are not being
picked up by kernel while using gcc-ppc64-linux-gnu v5.4.0 and v6.1.1.
 (gcc v5.3.1 works fine)

---Steps to Reproduce---
enable following config options in .config
CONFIG_CMDLINE_BOOL=y
CONFIG_CMDLINE="<required boot args for the system>"
CONFIG_CMDLINE_FORCE=y

build kernel image and kexec without additional boot args.

The system does not boot as it does not get the boot args.

I have debugged to issue to gcc compiler optimization :
https://lists.ozlabs.org/pipermail/linuxppc-dev/2016-September/149026.html

The problem has been reported and fixed in upstream gcc
   https://gcc.gnu.org/bugzilla/show_bug.cgi?id=71709

Need to backport this fix for gcc-ppc64-linux-gnu v5.4.0 onwards.

bugproxy (bugproxy) on 2016-09-27
tags: added: architecture-ppc64le bugnameltc-146668 severity-high targetmilestone-inin---
Changed in ubuntu:
assignee: nobody → Taco Screen team (taco-screen-team)
affects: ubuntu → gcc-defaults (Ubuntu)
Matthias Klose (doko) on 2016-09-27
no longer affects: gcc-defaults (Ubuntu)
no longer affects: gccgo-6 (Ubuntu)
no longer affects: gcc-6 (Ubuntu Xenial)
Matthias Klose (doko) on 2016-09-27
Changed in gcc-5 (Ubuntu Xenial):
importance: Undecided → High
Changed in gcc-6 (Ubuntu):
importance: Undecided → High
Changed in gcc-5 (Ubuntu Xenial):
milestone: none → xenial-updates
Changed in gcc-6 (Ubuntu):
milestone: none → ubuntu-16.09
Changed in gcc-5 (Ubuntu):
milestone: none → ubuntu-16.09
Changed in gccgo-6 (Ubuntu Xenial):
milestone: none → xenial-updates
Changed in gcc-5 (Ubuntu):
importance: Undecided → Medium
Changed in gccgo-6 (Ubuntu Xenial):
importance: Undecided → Medium

------- Comment From <email address hidden> 2016-09-28 17:40 EDT-------
I have backported the fix for https://gcc.gnu.org/bugzilla/show_bug.cgi?id=71709 to gcc-6-branch and gcc-5-branch. Ready to be picked up in the next fix release.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-5 - 5.4.1-2ubuntu2

---------------
gcc-5 (5.4.1-2ubuntu2) yakkety; urgency=medium

  * Update to SVN 20160929 (r240608, 5.4.1) from the gcc-5-branch.
    - Fix PR libstdc++/77686 (addresses #838438), PR libstdc++/77645,
      PR libgcc/77519, PR rtl-optimization/71709 (LP: #1628207),
      PR target/65210 (AVR), PR tree-optimization/77478, PR target/77326 (ACR),
      PR fortran/71730, PR fortran/77612, PR fortran/77694.
  * Backport from libffi trunk (Stefan Bühler):
    - Always check for PaX MPROTECT on linux, make EMUTRAMP experimental.
    - dlmmap_locked always needs locking as it always modifies execsize.

 -- Matthias Klose <email address hidden> Thu, 29 Sep 2016 02:50:07 +0200

Changed in gcc-5 (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-6 - 6.2.0-5ubuntu11

---------------
gcc-6 (6.2.0-5ubuntu11) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-6 (6.2.0-5) unstable; urgency=medium

  * Update to SVN 20160927 (r240553, 6.2.1) from the gcc-6-branch.
    - Fix PR sanitizer/77396, PR libstdc++/77645, PR libstdc++/77645,
      PR target/77326 (AVR), PR target/77349 (PPC), PR middle-end/77594,
      PR sanitizer/68260, PR fortran/77516, PR target/69255 (x86),
      PR c++/77553, PR c++/77539, PR fortran/77500, PR c/77450,
      PR middle-end/77436, PR tree-optimization/77514, PR middle-end/77544,
      PR tree-optimization/77514, PR middle-end/77605, PR middle-end/77679,
      PR tree-optimization/77621, PR target/77621 (x86), PR c++/71979.
  * Fix gij installation on hppa. Closes: #838111.
  * Fix PR rtl-optimization/71709, taken from the trunk. LP: #1628207.
  * Apply workaround for PR libstdc++/77686. Addresses: #838438.

gcc-6 (6.2.0-4) unstable; urgency=medium

  * Update to SVN 20160914 (r240133, 6.2.1) from the gcc-6-branch.
    - Fix PR rtl-optimization/77452, PR c++/77427.
  * gcj: Depend on the ecj1 standalone binary.
  * Configure native builds using --with-program-prefix.
  * Fix ICE in gdc symbol mangling (Iain Buclaw). LP: #1620681.
  * Backport from libffi trunk (Stefan Bühler):
    - Always check for PaX MPROTECT on linux, make EMUTRAMP experimental.
    - dlmmap_locked always needs locking as it always modifies execsize.

 -- Matthias Klose <email address hidden> Wed, 28 Sep 2016 15:58:48 +0200

Changed in gcc-6 (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-5 - 5.4.0-6ubuntu1~16.04.4

---------------
gcc-5 (5.4.0-6ubuntu1~16.04.4) xenial-security; urgency=medium

  * SRU
    - Fix PR target/72863, redundant swaps when using vec_vsx_ld/st,
      taken from the gcc-5 branch. LP: #1638055.
    - Fix PR rtl-optimization/71709, taken from the gcc-5 branch. LP: #1628207.

 -- Matthias Klose <email address hidden> Wed, 02 Nov 2016 19:23:52 +0100

Changed in gcc-5 (Ubuntu Xenial):
status: New → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-11-21 00:11 EDT-------
The fix doesn't seem to have percolated to the powerpc64le cross gcc
on x86_64...

Default Comment by Bridge

Matthias Klose (doko) wrote :

> The fix doesn't seem to have percolated to the
> powerpc64le cross gcc on x86_64...

well, you didn't ask for it (yet) ...

------- Comment From <email address hidden> 2016-11-29 01:33 EDT-------
Hi,

(In reply to comment #21)
> > The fix doesn't seem to have percolated to the
> > powerpc64le cross gcc on x86_64...
>
> well, you didn't ask for it (yet) ...

Should we raise a separate request to get the fix into the powerpc64le cross compiler on x86_64 ?

Matthias Klose (doko) on 2016-12-01
no longer affects: gcc-5-cross-ports (Ubuntu)

Hello bugproxy, or anyone else affected,

Accepted gcc-5-cross into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-5-cross/24ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gcc-5-cross (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
Matthias Klose (doko) wrote :

gcc-5-cross successfully built in -proposed.

tags: added: verification-done
removed: verification-needed

The verification of the Stable Release Update for gcc-5-cross has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-5-cross - 24ubuntu0.2

---------------
gcc-5-cross (24ubuntu0.2) xenial-proposed; urgency=medium

  * SRU: LP: #1628207, Build using the updated gcc-5 package.

 -- Matthias Klose <email address hidden> Thu, 01 Dec 2016 15:44:39 +0100

Changed in gcc-5-cross (Ubuntu Xenial):
status: Fix Committed → Fix Released
bugproxy (bugproxy) on 2017-11-07
tags: added: targetmilestone-inin16043
removed: targetmilestone-inin---
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.